package org.fortiss.af3.platform.raspberry;

import org.eclipse.core.runtime.Plugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle.
 */
public class AF3PlatformRaspberryActivator extends Plugin {

	/** The plug-in ID. */
	public static final String PLUGIN_ID = AF3PlatformRaspberryActivator.class.getPackage().getName(); //$NON-NLS-1$

	/** The shared instance. */
	private static AF3PlatformRaspberryActivator plugin;

	/** Constructor. */
	public AF3PlatformRaspberryActivator() {
		// do nothing
	}

	/** {@inheritDoc} */
	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	/** {@inheritDoc} */
	@Override
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/** Returns the shared instance. */
	public static AF3PlatformRaspberryActivator getDefault() {
		return plugin;
	}
}
